Generate a Signature Base String

- « OAuth Functions

- oauth_urlencode »

- PHP Manual
- OAuth Functions
- Generate a Signature Base String

# oauth_get_sbs

(PECL OAuth >=0.99.7)

oauth_get_sbs — Generate a Signature Base String

### Description

oauth_get_sbs(string `$http_method`, string `$uri`, array `$request_parameters` = ?): string

Generates a Signature Base String according to pecl/oauth.

### Parameters

`http_method`

  The HTTP method.

`uri`

  URI to encode.

`request_parameters`

  Array of request parameters.

### Return Values

Returns a Signature Base String.